package com.bzd.system.service.hygl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 会员标签表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglMembertagService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglMembertag(PageData pd)throws Exception {
        return daoSupport.update("SHyglMembertagMapper.addSHyglMembertag", pd);
    }

    public List<PageData> findSHyglMembertagList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglMembertagMapper.selectSHyglMembertagList", pd);
    }

    public Integer SHyglMembertagRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglMembertagMapper.SHyglMembertagRemove", pd);
    }


    public Integer updateSHyglMembertag(PageData pd)throws Exception {
        return daoSupport.update("SHyglMembertagMapper.updateSHyglMembertag", pd);
    }

}
